Debian Bug report logs - #669281
python2.7: FTBFS(kfreebsd): testsuite hang

version graph

Package: src:python2.7; Maintainer for src:python2.7 is Matthias Klose <doko@debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Thu, 5 Jan 2012 18:12:04 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in versions python2.7/2.7.2-8, python2.7/2.7.3~rc2-2, python2.7/2.7.2-9, python2.7/2.7.2-13

Fixed in version python2.7/2.7.3~rc2-2.1

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#654783; Package src:python2.7. (Thu, 05 Jan 2012 18:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Matthias Klose <doko@debian.org>. (Thu, 05 Jan 2012 18:12:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: python2.7: FTBFS(kfreebsd): testsuite hang
Date: Thu, 05 Jan 2012 19:09:26 +0100
Package: src:python2.7
Version: 2.7.2-9
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org

Hi!

  I'm trying to figure out why python2.7 testsuite is hanging on
kfreebsd. Reporting as bug to track the status.

 * running the testsuite by hand makes it stop in

test_interrupted_write_buffered (test.test_io.CSignalsTest) ... 

 * Running only the test_io part manually doesn't hang at all.

 * Adding a single print before the write [1] (line 2727) makes it go
   firther but still hangs later on:

test_itimer_prof (test.test_signal.ItimerTest) ... ('SIGPROF handler invoked', (27, <frame object at 0x6181780>))
ok
test_itimer_real (test.test_signal.ItimerTest) ... 
call pause()...


[1]             self.assertRaises(ZeroDivisionError,
                              wio.write, item * (1024 * 1024))

Regards

    Christoph




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#654783; Package src:python2.7. (Sat, 14 Jan 2012 09:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. (Sat, 14 Jan 2012 09:18:05 GMT) Full text and rfc822 format available.

Message #10 received at 654783@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 654783@bugs.debian.org, Christoph Egger <christoph@debian.org>
Subject: Re: FTBFS(kfreebsd): testsuite hang
Date: Sat, 14 Jan 2012 10:14:11 +0100
found 654783 2.7.2-8
thanks

nothing new, the package just had the testsuite disabled.




Bug Marked as found in versions python2.7/2.7.2-8. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Sat, 14 Jan 2012 09:18:07 GMT) Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Fri, 20 Jan 2012 21:16:10 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Fri, 20 Jan 2012 21:16:40 GMT) Full text and rfc822 format available.

Message #17 received at 654783-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 654783-close@bugs.debian.org
Subject: Bug#654783: fixed in python2.7 2.7.2-13
Date: Fri, 20 Jan 2012 21:11:26 +0000
Source: python2.7
Source-Version: 2.7.2-13

We believe that the bug you reported is fixed in the latest version of
python2.7, which is due to be installed in the Debian FTP archive:

idle-python2.7_2.7.2-13_all.deb
  to main/p/python2.7/idle-python2.7_2.7.2-13_all.deb
libpython2.7_2.7.2-13_amd64.deb
  to main/p/python2.7/libpython2.7_2.7.2-13_amd64.deb
python2.7-dbg_2.7.2-13_amd64.deb
  to main/p/python2.7/python2.7-dbg_2.7.2-13_amd64.deb
python2.7-dev_2.7.2-13_amd64.deb
  to main/p/python2.7/python2.7-dev_2.7.2-13_amd64.deb
python2.7-doc_2.7.2-13_all.deb
  to main/p/python2.7/python2.7-doc_2.7.2-13_all.deb
python2.7-examples_2.7.2-13_all.deb
  to main/p/python2.7/python2.7-examples_2.7.2-13_all.deb
python2.7-minimal_2.7.2-13_amd64.deb
  to main/p/python2.7/python2.7-minimal_2.7.2-13_amd64.deb
python2.7_2.7.2-13.diff.gz
  to main/p/python2.7/python2.7_2.7.2-13.diff.gz
python2.7_2.7.2-13.dsc
  to main/p/python2.7/python2.7_2.7.2-13.dsc
python2.7_2.7.2-13_amd64.deb
  to main/p/python2.7/python2.7_2.7.2-13_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 654783@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated python2.7 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 20 Jan 2012 16:33:47 +0100
Source: python2.7
Binary: python2.7 python2.7-minimal libpython2.7 python2.7-examples python2.7-dev idle-python2.7 python2.7-doc python2.7-dbg
Architecture: source all amd64
Version: 2.7.2-13
Distribution: unstable
Urgency: low
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 idle-python2.7 - IDE for Python (v2.7) using Tkinter
 libpython2.7 - Shared Python runtime library (version 2.7)
 python2.7  - Interactive high-level object-oriented language (version 2.7)
 python2.7-dbg - Debug Build of the Python Interpreter (version 2.7)
 python2.7-dev - Header files and a static library for Python (v2.7)
 python2.7-doc - Documentation for the high-level object-oriented language Python
 python2.7-examples - Examples for the Python language (v2.7)
 python2.7-minimal - Minimal subset of the Python language (version 2.7)
Closes: 654783 656118
Changes: 
 python2.7 (2.7.2-13) unstable; urgency=low
 .
   * Update to 20120120, taken from the 2.7 branch.
   * Remove patch integrated upstream (issue9054.diff).
   * Backport Issue #9189 to distutils/sysconfig.py as well.
     Closes: #656118.
   * Disable test_io on kfreebsd again. Closes: #654783.
   * Disable test_bsddb3 tests on kfreebsd again.
Checksums-Sha1: 
 712016c1626714b4c236c0e353cfe524d3c53f77 2052 python2.7_2.7.2-13.dsc
 648504187e30c09854bfa8b4fb0d7150fbbc0e64 741202 python2.7_2.7.2-13.diff.gz
 cb2b52807694c2612622ca7af054923b0f90d78a 708818 python2.7-examples_2.7.2-13_all.deb
 ab0ecb4fa40945244da41b0614d03cb2b2695984 297398 idle-python2.7_2.7.2-13_all.deb
 d0a14eb92c4a69e1cc0766eddc38b9f61fdd966a 6214168 python2.7-doc_2.7.2-13_all.deb
 ac2a9104bffa42324c1ab8ef4815e7e3731b037d 2713614 python2.7_2.7.2-13_amd64.deb
 833199a8849381368a914ae3f20a3994e26c93e9 1761622 python2.7-minimal_2.7.2-13_amd64.deb
 1d8e3f97623792140965a9cfb270d0ecb45f2e27 1190460 libpython2.7_2.7.2-13_amd64.deb
 2d7f922e777339ce315e5547556ef33d113aca95 29316460 python2.7-dev_2.7.2-13_amd64.deb
 19339f030bf32768a84420b6d73b0718e7ca64f0 9536098 python2.7-dbg_2.7.2-13_amd64.deb
Checksums-Sha256: 
 32d9f82659bf166ecefa126c55ef2983e51a035b0957150de88bb819ffe2d27b 2052 python2.7_2.7.2-13.dsc
 e07b9c1b5d2741ac3bd395a5d7f6fabe934043f83d7b8589ca7650e01f0f994b 741202 python2.7_2.7.2-13.diff.gz
 12f121e174bf8d204a2eb317261cc642e431def115328cfbda5ec8e2d8f8d9b7 708818 python2.7-examples_2.7.2-13_all.deb
 4564cf5bb8a0e376f4942b129a56823a11b36c7c1c134c4176c215bc12ee9bdd 297398 idle-python2.7_2.7.2-13_all.deb
 a6fa971636c406f2ff093644f24c9198c68517da6358a4a5ceebcc4ed6e823f1 6214168 python2.7-doc_2.7.2-13_all.deb
 7e8659e871d1199c5a64e44c0791c5284d4b994ccff43209ccfdb65369f60249 2713614 python2.7_2.7.2-13_amd64.deb
 2cb28ded244d9756bbc45a334c0be67c3784e3ea0173fd74eafa15e0ab81188d 1761622 python2.7-minimal_2.7.2-13_amd64.deb
 afe6a8523a4709d470cff7d34b5065980a2ef9b25c4c3cb8f77d2a14dc8c71d9 1190460 libpython2.7_2.7.2-13_amd64.deb
 4c93ffa20bed5bf20a1afcc7127a05d4046e925f4308511815a56de2bb269f63 29316460 python2.7-dev_2.7.2-13_amd64.deb
 fe88603687600d1aa5ace69c7c9a01b298c839977e86212c4c29ce98fae05c70 9536098 python2.7-dbg_2.7.2-13_amd64.deb
Files: 
 17fcebe5313413e2b3d21bcb64dd6dc1 2052 python optional python2.7_2.7.2-13.dsc
 d03234b4cba8de908f73856b9a129502 741202 python optional python2.7_2.7.2-13.diff.gz
 c5b5dddac200d6a89379894b87bb4a2d 708818 python optional python2.7-examples_2.7.2-13_all.deb
 bb265921c03a45e5d9a56593f2d1ff54 297398 python optional idle-python2.7_2.7.2-13_all.deb
 690ade4cf5776d2d22e1cd6df8be2133 6214168 doc optional python2.7-doc_2.7.2-13_all.deb
 80972841bde291e70f3db8cb27524457 2713614 python optional python2.7_2.7.2-13_amd64.deb
 fabe664e2e95d62aa705a3cf515ffb97 1761622 python optional python2.7-minimal_2.7.2-13_amd64.deb
 718ea9a36729b50a07a3003836acdaa5 1190460 libs optional libpython2.7_2.7.2-13_amd64.deb
 89b5803d311b650980a65ef8d4c039a7 29316460 python optional python2.7-dev_2.7.2-13_amd64.deb
 4e7c03c38d260e7da9f49b9bd75bc1e8 9536098 debug extra python2.7-dbg_2.7.2-13_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk8ZyjoACgkQStlRaw+TLJz0oQCgu3VkHaPAQwmPNc1XJCx5TOBd
a2MAoKoV2RVsGc/u3UwCC7hSlDxpbt1W
=XoA+
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#654783; Package src:python2.7. (Tue, 24 Jan 2012 10:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Tue, 24 Jan 2012 10:10:00 GMT) Full text and rfc822 format available.

Message #22 received at 654783@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: 654783@bugs.debian.org
Cc: control@bugs.debian.org
Subject: re: python2.7: FTBFS(kfreebsd): testsuite hang
Date: Tue, 24 Jan 2012 10:07:18 +0000
Reopen 654783
found 654783 2.7.2-13
thanks

The testsuite still seems to be hanging on both the kfreebsd-i386 and 
kfreebsd-amd64 buildds (now tried three times on each).
>test_signal
>E: Caught signal 'Terminated': terminating immediately
>make: *** [stamps/stamp-check] Terminated
>Build killed with signal TERM after 150 minutes of inactivity





Bug No longer marked as fixed in versions python2.7/2.7.2-13 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 24 Jan 2012 10:10:30 GMT) Full text and rfc822 format available.

Bug Marked as found in versions python2.7/2.7.2-13. Request was from peter green <plugwash@p10link.net> to control@bugs.debian.org. (Tue, 24 Jan 2012 10:10:35 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#654783; Package src:python2.7. (Wed, 04 Apr 2012 23:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Wed, 04 Apr 2012 23:57:05 GMT) Full text and rfc822 format available.

Message #31 received at 654783@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 654783@bugs.debian.org
Subject: re: python2.7: FTBFS(kfreebsd): testsuite hang
Date: Thu, 5 Apr 2012 01:52:24 +0200
[Message part 1 (text/plain, inline)]
Hi,

I narrowed down the problem a bit.

test_signal works fine when run standalone:

  $ ./build-static/python -Wd -3 -E -tt Lib/test/regrtest.py -w -l test_signal
  test_signal
  1 test OK.

However, if it's run after test___all___, it hangs:

  $ ./build-static/python -Wd -3 -E -tt Lib/test/regrtest.py -w -l
test___all__ test_signal
  [... hang ]

test___all__ does lots of things.  Its purpose is to run the test
routine in each of the modules in Lib/.  I found that only one of
these routines is responsible for the crash: idlelib.  If you
blacklist idlelib (see attachment), then test_signal doesn't crash.

As this is most likely a bug in glibc, we need to keep shrinking the
problem down.  However, to get python out of FTBFS state, perhaps
it'll be enough to either blacklist idlelib or disable test_signal.

-- 
Robert Millan
[idlelib.diff (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#654783; Package src:python2.7. (Thu, 05 Apr 2012 13:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Thu, 05 Apr 2012 13:09:06 GMT) Full text and rfc822 format available.

Message #36 received at 654783@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 654783@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#654783: python2.7: FTBFS(kfreebsd): testsuite hang
Date: Thu, 05 Apr 2012 14:05:19 +0100
[Message part 1 (text/plain, inline)]
Hi,

With eglibc patched with Robert's timer.diff I still see a hang at
test_signal, when building python2.7-2.7.3~rc2 on kfreebsd-i386
(8.3~svn230343-1 686 kernel).

Skipping that test, I then experience a hang at test_socket.  More test
failures are in the attached file (probably less serious, known issues).

test_io was disabled, but so far it has been working.  I'll try running
it a few more times with randomised test order (-r option).

I also tried the disabled test_bsddb3 which still fails.


And just to confirm I that I'm really using the patched eglibc:

> $ ldd /home/steven/python2.7-2.7.3~rc2/build-debug/python
>         libpthread.so.0 => /lib/i386-kfreebsd-gnu/i686/cmov/libpthread.so.0 (0x2102b000)
>         libdl.so.2 => /lib/i386-kfreebsd-gnu/i686/cmov/libdl.so.2 (0x21041000)
>         libutil.so.1 => /lib/i386-kfreebsd-gnu/i686/cmov/libutil.so.1 (0x21045000)
>         libssl.so.1.0.0 => /usr/lib/i386-kfreebsd-gnu/libssl.so.1.0.0 (0x21049000)
>         libcrypto.so.1.0.0 => /usr/lib/i386-kfreebsd-gnu/libcrypto.so.1.0.0 (0x210a8000)
>         libz.so.1 => /usr/lib/i386-kfreebsd-gnu/libz.so.1 (0x21282000)
>         libm.so.1 => /lib/i386-kfreebsd-gnu/i686/cmov/libm.so.1 (0x2129a000)
>         libc.so.0.1 => /lib/i386-kfreebsd-gnu/i686/cmov/libc.so.0.1 (0x212c0000)
>         /lib/ld.so.1 (0x01001000)

> $ objdump -d /lib/i386-kfreebsd-gnu/i686/cmov/libc.so.0.1 | grep 'ktimer_.*:$'
> 000fbff0 <__syscall_ktimer_create>:
> 000fc020 <__syscall_ktimer_gettime>:
> 000fc050 <__syscall_ktimer_settime>:
> 000fc080 <__syscall_ktimer_getoverrun>:
> 000fc0b0 <__syscall_ktimer_delete>:

> $ grep ktimer /lib/i386-kfreebsd-gnu/ -R
> Binary file /lib/i386-kfreebsd-gnu/libc-2.13.so matches
> Binary file /lib/i386-kfreebsd-gnu/librt-2.13.so matches
> Binary file /lib/i386-kfreebsd-gnu/libc.so.0.1 matches
> Binary file /lib/i386-kfreebsd-gnu/librt.so.1 matches
> Binary file /lib/i386-kfreebsd-gnu/i686/cmov/libc-2.13.so matches
> Binary file /lib/i386-kfreebsd-gnu/i686/cmov/librt-2.13.so matches
> Binary file /lib/i386-kfreebsd-gnu/i686/cmov/libc.so.0.1 matches
> Binary file /lib/i386-kfreebsd-gnu/i686/cmov/librt.so.1 matches

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org
[python-tests.txt (text/plain, attachment)]

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Thu, 05 Apr 2012 17:24:10 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Thu, 05 Apr 2012 17:24:10 GMT) Full text and rfc822 format available.

Message #41 received at 654783-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 654783-close@bugs.debian.org
Subject: Bug#654783: fixed in python2.7 2.7.3~rc2-2
Date: Thu, 05 Apr 2012 17:18:54 +0000
Source: python2.7
Source-Version: 2.7.3~rc2-2

We believe that the bug you reported is fixed in the latest version of
python2.7, which is due to be installed in the Debian FTP archive:

idle-python2.7_2.7.3~rc2-2_all.deb
  to main/p/python2.7/idle-python2.7_2.7.3~rc2-2_all.deb
libpython2.7_2.7.3~rc2-2_amd64.deb
  to main/p/python2.7/libpython2.7_2.7.3~rc2-2_amd64.deb
python2.7-dbg_2.7.3~rc2-2_amd64.deb
  to main/p/python2.7/python2.7-dbg_2.7.3~rc2-2_amd64.deb
python2.7-dev_2.7.3~rc2-2_amd64.deb
  to main/p/python2.7/python2.7-dev_2.7.3~rc2-2_amd64.deb
python2.7-doc_2.7.3~rc2-2_all.deb
  to main/p/python2.7/python2.7-doc_2.7.3~rc2-2_all.deb
python2.7-examples_2.7.3~rc2-2_all.deb
  to main/p/python2.7/python2.7-examples_2.7.3~rc2-2_all.deb
python2.7-minimal_2.7.3~rc2-2_amd64.deb
  to main/p/python2.7/python2.7-minimal_2.7.3~rc2-2_amd64.deb
python2.7_2.7.3~rc2-2.diff.gz
  to main/p/python2.7/python2.7_2.7.3~rc2-2.diff.gz
python2.7_2.7.3~rc2-2.dsc
  to main/p/python2.7/python2.7_2.7.3~rc2-2.dsc
python2.7_2.7.3~rc2-2_amd64.deb
  to main/p/python2.7/python2.7_2.7.3~rc2-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 654783@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated python2.7 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 05 Apr 2012 15:47:03 +0200
Source: python2.7
Binary: python2.7 python2.7-minimal libpython2.7 python2.7-examples python2.7-dev idle-python2.7 python2.7-doc python2.7-dbg
Architecture: source all amd64
Version: 2.7.3~rc2-2
Distribution: unstable
Urgency: low
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 idle-python2.7 - IDE for Python (v2.7) using Tkinter
 libpython2.7 - Shared Python runtime library (version 2.7)
 python2.7  - Interactive high-level object-oriented language (version 2.7)
 python2.7-dbg - Debug Build of the Python Interpreter (version 2.7)
 python2.7-dev - Header files and a static library for Python (v2.7)
 python2.7-doc - Documentation for the high-level object-oriented language Python
 python2.7-examples - Examples for the Python language (v2.7)
 python2.7-minimal - Minimal subset of the Python language (version 2.7)
Closes: 621374 650555 654783 656763 663874 664529 665346
Changes: 
 python2.7 (2.7.3~rc2-2) unstable; urgency=low
 .
   * Use xdg-open/gvfs-open in Lib/webbrowser.py (Michael Vogt).
     LP: #971311.
   * Add a paragraph about python-foo-dbg packages to README.debug.
     LP: #872050.
   * Disable some tests (no feedback from porters):
     - test_socket on hurd-i386.
     - test_io on amd64.
     - test_signal on kfreebsd-*. Closes: #654783.
     - test_threading on sparc.
   * Tighten build dependency on libexpat-dev. Closes: #665346.
   * Build-depend on db-5.1, don't care about testsuite regressions on
     some esoteric ports.  If packages rely on threaded applications or
     transactions, please use the python-bsddb3 package.
     Closes: #621374.
   * Don't ship the python2 and python2-config symlinks, move these
     to the python-minimal and python-dev packages. Closes: #663874.
   * Remove PVER-doc.doc-base.PVER-doc.in. Closes: #656763.
   * Update symbols files.
   * Avoid runtime path for the sqlite extension.
   * CVE-2011-4944, distutils creates ~/.pypirc insecurely. Closes: #650555.
   * Fix issue #14505, file descriptor leak when deallocating file objects
     created with PyFile_FromString(). Closes: #664529.
Checksums-Sha1: 
 d19eb6482d01ba27b12fa61ba735cf9bb27c3aed 2085 python2.7_2.7.3~rc2-2.dsc
 a1ea7e8742d9055b6c963d7f34b1c10a732db171 250980 python2.7_2.7.3~rc2-2.diff.gz
 17a89934ab3c1526fdfe4d7528a5b81081f293ef 709374 python2.7-examples_2.7.3~rc2-2_all.deb
 24b0fe4f2fe9e97a3219ad3af80901b3bb433f0f 298570 idle-python2.7_2.7.3~rc2-2_all.deb
 60f30eafc4cb071eb48b6810c05f8ddaa72adabc 6247190 python2.7-doc_2.7.3~rc2-2_all.deb
 8e933a0ac7a0428c8aa69d3cd8af11aba6ac8ca2 2714338 python2.7_2.7.3~rc2-2_amd64.deb
 65a7403a4ab87ada7623896becc1f9307ece97b6 1770024 python2.7-minimal_2.7.3~rc2-2_amd64.deb
 c073d69e7d89e03837889459b6233f0bed4e2a13 1191392 libpython2.7_2.7.3~rc2-2_amd64.deb
 2cffa43da460292919745549bbaccb071b626d49 29368158 python2.7-dev_2.7.3~rc2-2_amd64.deb
 528073475f4203a1efee66ccb6d4496364da9814 9559042 python2.7-dbg_2.7.3~rc2-2_amd64.deb
Checksums-Sha256: 
 2a3c2af0be99a2b69d140b8fc6eae7b94d0bf53528c710037e43a20411c6cc92 2085 python2.7_2.7.3~rc2-2.dsc
 48c0741c7510602f3d5fe3117ff9edcd9ffe3af0268abb1e8e442b9d797f2caa 250980 python2.7_2.7.3~rc2-2.diff.gz
 e51722fae9715934524a68ff9f679b8a5e208ef64824a70bd97f7b00e3a94442 709374 python2.7-examples_2.7.3~rc2-2_all.deb
 3f9658a0d39edddd93908637517770fc715f49243dfb2d777e653c2f1522b584 298570 idle-python2.7_2.7.3~rc2-2_all.deb
 7bbcad3fee4e1cde685493cab20eb86dc28da9a9de454d31b500e442ab87d07f 6247190 python2.7-doc_2.7.3~rc2-2_all.deb
 122dcdb0b34d99e3446ce783afbe41e16985bdbe502c69aa1b78a5d4cbc002de 2714338 python2.7_2.7.3~rc2-2_amd64.deb
 3c19ae0019bd85ee85c889032095756e3ef75f3acacb2dfdb0fd5bacc7227d42 1770024 python2.7-minimal_2.7.3~rc2-2_amd64.deb
 c5740443cee421fb9b880fca3c8df5161add7159ebfc2b1c6304bce87a064ac5 1191392 libpython2.7_2.7.3~rc2-2_amd64.deb
 827caf9b51c5e491dc335064954ad5e82dd6a9057e447bdf13a83367962d3a90 29368158 python2.7-dev_2.7.3~rc2-2_amd64.deb
 d513bac6c1539efd349d12fb61c6be966ab976ba4e35c6016656c9894c7a5d2d 9559042 python2.7-dbg_2.7.3~rc2-2_amd64.deb
Files: 
 c5c7ad7ec97cbf15475fa1fcbb8f4759 2085 python optional python2.7_2.7.3~rc2-2.dsc
 0fcb393a11e428d38a0cd52bb22e08fe 250980 python optional python2.7_2.7.3~rc2-2.diff.gz
 7ac8496a5028b37f314e008bad69b19c 709374 python optional python2.7-examples_2.7.3~rc2-2_all.deb
 fa20940199f6ef66c7ce3ae0ba8cdf41 298570 python optional idle-python2.7_2.7.3~rc2-2_all.deb
 16878bdd6f114cec5e1bb25d0872d52c 6247190 doc optional python2.7-doc_2.7.3~rc2-2_all.deb
 85192bce68a3a3a755d3ddcd7ea06aeb 2714338 python optional python2.7_2.7.3~rc2-2_amd64.deb
 cdff0bec7848df6395135cde029f2837 1770024 python optional python2.7-minimal_2.7.3~rc2-2_amd64.deb
 67363d0554e458a375ffa07185b7f195 1191392 libs optional libpython2.7_2.7.3~rc2-2_amd64.deb
 f85d5dae12a1654b248424430b9aa745 29368158 python optional python2.7-dev_2.7.3~rc2-2_amd64.deb
 bceacc6cbefdced4e0fe48dfa971475d 9559042 debug extra python2.7-dbg_2.7.3~rc2-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk99zkkACgkQStlRaw+TLJzaFQCgwNSiiwXTlyi5mWhA5lHOCXja
sUUAnRbPUJC54SE/k2S8JDRIbWS+JRSl
=Fc8Z
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#654783; Package src:python2.7. (Fri, 06 Apr 2012 02:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Fri, 06 Apr 2012 02:06:03 GMT) Full text and rfc822 format available.

Message #46 received at 654783@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 654783@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#654783: python2.7: FTBFS(kfreebsd): testsuite hang
Date: Fri, 06 Apr 2012 03:03:34 +0100
reopen 654783 debian-bsd@lists.debian.org
notfixed 654783 python2.7/2.7.3~rc2-2
found 654783 python2.7/2.7.3~rc2-2
thanks

Log of the latest kfreebsd build failure is:

https://buildd.debian.org/status/fetch.php?pkg=python2.7&arch=kfreebsd-amd64&ver=2.7.3~rc2-2&stamp=1333657799

I mentioned today that test_socket hangs, but only moments before this
was uploaded to unstable.


In the past few hours I've managed to reproduce a hang of test_io on
kfreebsd-i386, so that is apparently still an issue (but not always).
Also I've run into hangs of test_threading and test_gdb for the first time.

The picture is beginning to look quite similar across hurd-i386,
kfreebsd-amd64, kfreebsd-i386, sparc (and previously also hppa), with
mostly the same set of tests failing, even if some of them fail more or
less often.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Bug reopened Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 02:06:05 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'debian-bsd@lists.debian.org' from 'Christoph Egger <christoph@debian.org>' Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 02:06:05 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions python2.7/2.7.3~rc2-2. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 02:06:06 GMT) Full text and rfc822 format available.

Marked as found in versions python2.7/2.7.3~rc2-2. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 02:06:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#654783; Package src:python2.7. (Fri, 06 Apr 2012 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. (Fri, 06 Apr 2012 19:15:03 GMT) Full text and rfc822 format available.

Message #59 received at 654783@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 654783@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#654783: python2.7: FTBFS(kfreebsd): testsuite hang
Date: Fri, 06 Apr 2012 21:11:42 +0200
On 06.04.2012 04:03, Steven Chamberlain wrote:
> reopen 654783 debian-bsd@lists.debian.org
> notfixed 654783 python2.7/2.7.3~rc2-2
> found 654783 python2.7/2.7.3~rc2-2
> thanks
>
> Log of the latest kfreebsd build failure is:
>
> https://buildd.debian.org/status/fetch.php?pkg=python2.7&arch=kfreebsd-amd64&ver=2.7.3~rc2-2&stamp=1333657799
>
> I mentioned today that test_socket hangs, but only moments before this
> was uploaded to unstable.

sorry, already had the binaries built :/

> In the past few hours I've managed to reproduce a hang of test_io on
> kfreebsd-i386, so that is apparently still an issue (but not always).
> Also I've run into hangs of test_threading and test_gdb for the first time.

test_threading has issues on other architectures as well. I tend to disable 
these too for kfreebsd-*.

  Matthias




Added indication that bug 654783 blocks 668240 Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Wed, 11 Apr 2012 13:27:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#654783; Package src:python2.7. (Mon, 16 Apr 2012 21:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Mon, 16 Apr 2012 21:12:31 GMT) Full text and rfc822 format available.

Message #66 received at 654783@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 654783@bugs.debian.org
Cc: debian-bsd@lists.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>
Subject: about test_socket hang
Date: Mon, 16 Apr 2012 23:08:01 +0200
[Message part 1 (text/plain, inline)]
Hi,

I found something about test_socket hang.  The problem I'm seeing
looks like a race condition.  kdump -H yields:

 73334 100505 python   CALL  thr_kill(0x1884e,SIG(null))
 73334 100505 python   RET   thr_kill 0
 73334 100505 python   CALL  thr_exit(0xccab78)
 73334 100430 python   CALL  thr_kill(0x187f9,SIG(null))
 73334 100430 python   RET   thr_kill 0
 73334 100430 python   CALL  poll(0xc6eee0,0x1,0x7d0)

As you can see in this log, thread 100505 sends restart signal to
thread 100430 *BEFORE* thread 100430 has started poll() kernel call.
Then thread 100430 is stuck in poll() with nobody to restart it.

If I hit ^Z, poll is interrupted, then "fg" makes it progress.  By
doing this a couple of times I managed to make test_socket finish.
Alternatively, I patched glibc with this workaround (see attachment).
This makes the test finish in about 16 seconds.

Going back to the race between thr_kill() and poll(), any idea what
could be causing this?  To begin with I don't even know how to get a
backtrace for the relevant calls :-/

-- 
Robert Millan
[workaround.diff (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#654783; Package src:python2.7. (Wed, 18 Apr 2012 02:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Wed, 18 Apr 2012 02:42:05 GMT) Full text and rfc822 format available.

Message #71 received at 654783@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>, 654783@bugs.debian.org
Cc: debian-bsd@lists.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>
Subject: Re: Bug#654783: about test_socket hang
Date: Wed, 18 Apr 2012 03:39:16 +0100
On 16/04/12 22:08, Robert Millan wrote:
> If I hit ^Z, poll is interrupted, then "fg" makes it progress.  By
> doing this a couple of times I managed to make test_socket finish.
> Alternatively, I patched glibc with this workaround (see attachment).
> This makes the test finish in about 16 seconds.

Strange, the workaround hasn't really changed anything for me on
kfreebsd-i386:  test_socket still hangs some of the time.  When that
happens the ^Z / fg trick doesn't help me.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#654783; Package src:python2.7. (Wed, 18 Apr 2012 13:48:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Wed, 18 Apr 2012 13:48:12 GMT) Full text and rfc822 format available.

Message #76 received at 654783@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>, 654783@bugs.debian.org
Cc: debian-bsd@lists.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>
Subject: Re: Bug#654783: about test_socket hang
Date: Wed, 18 Apr 2012 14:46:07 +0100
On 18/04/12 03:39, Steven Chamberlain wrote:
> Strange, the workaround hasn't really changed anything for me on
> kfreebsd-i386

Sorry that was wrong, I had dry-run the patch without actually applying
it :(

With it, I hit a tst-timer5 regression during build.


But if I keep the timeout at its default 2000ms and:

On 18/04/12 07:02, Petr Salinger wrote:
-    if (terminated_children || main_thread_exiting) {
+    if (1 || terminated_children || main_thread_exiting) {

Then I see 100/100 passes of test_socket.  That used to hang always.

There are still occasional hangs in test_threading (about 20% of the
time) and also very rarely in test_signal (seen 1% of the time).


And in the ruby1.9.1 test suite, test_io looks like it might be fixed by
this, but test_thread still hangs sometimes.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#654783; Package src:python2.7. (Wed, 18 Apr 2012 14:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Wed, 18 Apr 2012 14:00:04 GMT) Full text and rfc822 format available.

Message #81 received at 654783@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>, 654783@bugs.debian.org
Cc: debian-bsd@lists.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>
Subject: Re: Bug#654783: about test_socket hang
Date: Wed, 18 Apr 2012 14:57:01 +0100
On 18/04/12 14:46, Steven Chamberlain wrote:
> And in the ruby1.9.1 test suite, test_io looks like it might be fixed by
> this, but test_thread still hangs sometimes.

Cancel that part...  ruby1.9.1's test_io still fails sometimes,
especially if I run it without -v, so nothing has changed there.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Bug 654783 cloned as bug 669281 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 18 Apr 2012 18:39:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 669281: 668240 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 18 Apr 2012 18:39:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#669281; Package src:python2.7. (Wed, 18 Apr 2012 18:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Wed, 18 Apr 2012 18:48:02 GMT) Full text and rfc822 format available.

Message #90 received at 669281@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 669281@bugs.debian.org
Subject: python2.7: FTBFS(kfreebsd): testsuite hang
Date: Wed, 18 Apr 2012 20:45:16 +0200
[Message part 1 (text/plain, inline)]
# Bug 654783 cloned as bug 669281
tag 669281 patch
retitle 654783 race condition in libpthread causes hangs in python2.7 testsuite
severity 654783 wishlist
reassign 654783 libc0.1
thanks

Hi,

It seems that outdated python2.7 on kfreebsd-* is the last problem
holding off the netcdf7 transition [1] (v-sim is on dep-wait for
python >= 2.7.2-13 [2]).  This is also holding off a fix for upstream
issue 13817, which is needed to fix guitarix FTBFS (see #668240).

OTOH, it introduces failure of a few tests (test_socket,
test_threading, test_signal).  Additionally, I've seen the testsuite
itself hang after all tests had been completed.  By looking at the
debug information we've obtained so far, this seems like a
libpthread-related problem, rather than an issue introduced by Python
itself.

As you can see, we're currently investigating the problems that cause
these hangs.  However, taking the whole picture into account, my
impression is that the new python2.7 fixes more problems than it
creates.

So, would you please consider disabling the testsuite on kfreebsd-* so
that we can move on with the netcdf7 transition?  We will, of course,
continue investigating the problems that cause this breakage.

I'm attaching a (tested) patch to do just that.

[1] http://release.debian.org/transitions/html/netcdf7.html
[2] https://buildd.debian.org/status/package.php?p=v-sim

-- 
Robert Millan
[disable_check.diff (application/octet-stream, attachment)]

Added tag(s) patch. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 18 Apr 2012 18:48:04 GMT) Full text and rfc822 format available.

Added indication that bug 669281 blocks Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 18 Apr 2012 19:03:08 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 669281: 668240 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 18 Apr 2012 19:03:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#669281; Package src:python2.7. (Sat, 21 Apr 2012 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Sat, 21 Apr 2012 19:45:03 GMT) Full text and rfc822 format available.

Message #101 received at 669281@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 669281@bugs.debian.org, Matthias Klose <doko@debian.org>
Cc: debian-release@lists.debian.org
Subject: Re: python2.7: FTBFS(kfreebsd): testsuite hang
Date: Sat, 21 Apr 2012 21:44:18 +0200
Matthias, do you plan an upload this weekend?

As up-to-date python2.7 builds are rather urgent (they're now blocking
the netcdf transition), it'd be very nice to have a fix in the
following days.

If you don't currently have time, please let us know so that it be NMUed.

Thanks!

El 18 d’abril de 2012 20:45, Robert Millan <rmh@debian.org> ha escrit:
> # Bug 654783 cloned as bug 669281
> tag 669281 patch
> retitle 654783 race condition in libpthread causes hangs in python2.7 testsuite
> severity 654783 wishlist
> reassign 654783 libc0.1
> thanks
>
> Hi,
>
> It seems that outdated python2.7 on kfreebsd-* is the last problem
> holding off the netcdf7 transition [1] (v-sim is on dep-wait for
> python >= 2.7.2-13 [2]).  This is also holding off a fix for upstream
> issue 13817, which is needed to fix guitarix FTBFS (see #668240).
>
> OTOH, it introduces failure of a few tests (test_socket,
> test_threading, test_signal).  Additionally, I've seen the testsuite
> itself hang after all tests had been completed.  By looking at the
> debug information we've obtained so far, this seems like a
> libpthread-related problem, rather than an issue introduced by Python
> itself.
>
> As you can see, we're currently investigating the problems that cause
> these hangs.  However, taking the whole picture into account, my
> impression is that the new python2.7 fixes more problems than it
> creates.
>
> So, would you please consider disabling the testsuite on kfreebsd-* so
> that we can move on with the netcdf7 transition?  We will, of course,
> continue investigating the problems that cause this breakage.
>
> I'm attaching a (tested) patch to do just that.
>
> [1] http://release.debian.org/transitions/html/netcdf7.html
> [2] https://buildd.debian.org/status/package.php?p=v-sim
>
> --
> Robert Millan



-- 
Robert Millan




Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Sun, 22 Apr 2012 21:27:11 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Sun, 22 Apr 2012 21:27:11 GMT) Full text and rfc822 format available.

Message #106 received at 669281-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 669281-close@bugs.debian.org
Subject: Bug#669281: fixed in python2.7 2.7.3~rc2-2.1
Date: Sun, 22 Apr 2012 21:20:28 +0000
Source: python2.7
Source-Version: 2.7.3~rc2-2.1

We believe that the bug you reported is fixed in the latest version of
python2.7, which is due to be installed in the Debian FTP archive:

idle-python2.7_2.7.3~rc2-2.1_all.deb
  to main/p/python2.7/idle-python2.7_2.7.3~rc2-2.1_all.deb
libpython2.7_2.7.3~rc2-2.1_kfreebsd-amd64.deb
  to main/p/python2.7/libpython2.7_2.7.3~rc2-2.1_kfreebsd-amd64.deb
python2.7-dbg_2.7.3~rc2-2.1_kfreebsd-amd64.deb
  to main/p/python2.7/python2.7-dbg_2.7.3~rc2-2.1_kfreebsd-amd64.deb
python2.7-dev_2.7.3~rc2-2.1_kfreebsd-amd64.deb
  to main/p/python2.7/python2.7-dev_2.7.3~rc2-2.1_kfreebsd-amd64.deb
python2.7-doc_2.7.3~rc2-2.1_all.deb
  to main/p/python2.7/python2.7-doc_2.7.3~rc2-2.1_all.deb
python2.7-examples_2.7.3~rc2-2.1_all.deb
  to main/p/python2.7/python2.7-examples_2.7.3~rc2-2.1_all.deb
python2.7-minimal_2.7.3~rc2-2.1_kfreebsd-amd64.deb
  to main/p/python2.7/python2.7-minimal_2.7.3~rc2-2.1_kfreebsd-amd64.deb
python2.7_2.7.3~rc2-2.1.diff.gz
  to main/p/python2.7/python2.7_2.7.3~rc2-2.1.diff.gz
python2.7_2.7.3~rc2-2.1.dsc
  to main/p/python2.7/python2.7_2.7.3~rc2-2.1.dsc
python2.7_2.7.3~rc2-2.1_kfreebsd-amd64.deb
  to main/p/python2.7/python2.7_2.7.3~rc2-2.1_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 669281@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated python2.7 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 22 Apr 2012 22:04:26 +0200
Source: python2.7
Binary: python2.7 python2.7-minimal libpython2.7 python2.7-examples python2.7-dev idle-python2.7 python2.7-doc python2.7-dbg
Architecture: source all kfreebsd-amd64
Version: 2.7.3~rc2-2.1
Distribution: unstable
Urgency: low
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 idle-python2.7 - IDE for Python (v2.7) using Tkinter
 libpython2.7 - Shared Python runtime library (version 2.7)
 python2.7  - Interactive high-level object-oriented language (version 2.7)
 python2.7-dbg - Debug Build of the Python Interpreter (version 2.7)
 python2.7-dev - Header files and a static library for Python (v2.7)
 python2.7-doc - Documentation for the high-level object-oriented language Python
 python2.7-examples - Examples for the Python language (v2.7)
 python2.7-minimal - Minimal subset of the Python language (version 2.7)
Closes: 669281
Changes: 
 python2.7 (2.7.3~rc2-2.1) unstable; urgency=low
 .
   * Non-maintainer upload (with maintainer's permission).
   * Disable testsuite on GNU/kFreeBSD.  (Closes: #669281)
Checksums-Sha1: 
 7684b6319c6df4dba4dd10c3b3707cca9586c655 2096 python2.7_2.7.3~rc2-2.1.dsc
 f36aca6f1084746e3af3315fdc1bf10e3dc22bb1 251746 python2.7_2.7.3~rc2-2.1.diff.gz
 7756353c1acbe274871d7a2b64486999d8b2524e 707552 python2.7-examples_2.7.3~rc2-2.1_all.deb
 eb5452b26a26611fd7e3eb347593de9dc63d7baf 296906 idle-python2.7_2.7.3~rc2-2.1_all.deb
 b8be051494082afccd503d22242741fad80e39ad 6246052 python2.7-doc_2.7.3~rc2-2.1_all.deb
 54a11a33fada23a5f519eac8b51554e097ee751f 2645682 python2.7_2.7.3~rc2-2.1_kfreebsd-amd64.deb
 e7471fbb101b2687be5607d03a8f1f4e81da37cc 1689682 python2.7-minimal_2.7.3~rc2-2.1_kfreebsd-amd64.deb
 0c40ed229e00645fb7db6605d0ff1b70c6701bc6 1179184 libpython2.7_2.7.3~rc2-2.1_kfreebsd-amd64.deb
 b26535de314c75f361f9f28ff7724ea5acb087f0 3678936 python2.7-dev_2.7.3~rc2-2.1_kfreebsd-amd64.deb
 bfffc788953d646f5a9432bab89f6733486bac1b 13369120 python2.7-dbg_2.7.3~rc2-2.1_kfreebsd-amd64.deb
Checksums-Sha256: 
 da2b75c7f4db16ca8ae7d0eba9ab4213a89dac702a380a86387ea398ee17149a 2096 python2.7_2.7.3~rc2-2.1.dsc
 a014564947025a17c3f1461745027875bd0b22161a3148f940842f0140da0dbb 251746 python2.7_2.7.3~rc2-2.1.diff.gz
 bbdb89057b5fc9a0a1183c1c72b7000d5f17b19835cfee09a8c926c6ba408a05 707552 python2.7-examples_2.7.3~rc2-2.1_all.deb
 79211a1ceaa2c75bbf2b1c244931254d81836f32b0c742cf9c0856244b9f85e9 296906 idle-python2.7_2.7.3~rc2-2.1_all.deb
 ade748f6784098f28f0d1aa63b54e47b0f402a93cb1be50be4b0b79fa4c2de9f 6246052 python2.7-doc_2.7.3~rc2-2.1_all.deb
 185bc7d2d9f64101bf711f2af146e19cbd343181f8b757923d28d347971cceae 2645682 python2.7_2.7.3~rc2-2.1_kfreebsd-amd64.deb
 b56a930f6d564a22593cd6280db6228643e0992b06c961f384618071c76ea7b6 1689682 python2.7-minimal_2.7.3~rc2-2.1_kfreebsd-amd64.deb
 758b0e067901129376a2ba7e1c49b3f1a76f1c2f283aa03a578af55082d2e88b 1179184 libpython2.7_2.7.3~rc2-2.1_kfreebsd-amd64.deb
 0a616a9310e0fcc492450f657c519b7b77ae5cad14130bb802dc6f55ac9620a8 3678936 python2.7-dev_2.7.3~rc2-2.1_kfreebsd-amd64.deb
 799f61ab04742760ef01b4a48afaca47d61594c1e665981965bdc6cffd2a6dff 13369120 python2.7-dbg_2.7.3~rc2-2.1_kfreebsd-amd64.deb
Files: 
 c001dfc50642bf17e97fe341ccc27e46 2096 python optional python2.7_2.7.3~rc2-2.1.dsc
 cdddf926b9a1c2b8612120cf05bf23e0 251746 python optional python2.7_2.7.3~rc2-2.1.diff.gz
 a9b82d0ef623bbf9cd10bfad89936b3a 707552 python optional python2.7-examples_2.7.3~rc2-2.1_all.deb
 2bb0b301e5d0f70580a8cffd945fbe91 296906 python optional idle-python2.7_2.7.3~rc2-2.1_all.deb
 f60dbeb423aa9034fc3cb60d160c6ee8 6246052 doc optional python2.7-doc_2.7.3~rc2-2.1_all.deb
 de720013b9612c798f4fd2de7313597a 2645682 python optional python2.7_2.7.3~rc2-2.1_kfreebsd-amd64.deb
 e7fc91a57f7f3f7114f6e237ecd00521 1689682 python optional python2.7-minimal_2.7.3~rc2-2.1_kfreebsd-amd64.deb
 32f498a5f838a5cd4bb139721e95397b 1179184 libs optional libpython2.7_2.7.3~rc2-2.1_kfreebsd-amd64.deb
 e6633984502d928d4ae422c609c306d0 3678936 python optional python2.7-dev_2.7.3~rc2-2.1_kfreebsd-amd64.deb
 3769a0f1c31a391c2ea438e3868d5998 13369120 debug extra python2.7-dbg_2.7.3~rc2-2.1_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk+UbAEACgkQC19io6rUCv8LeQCePsRsirpeEZlcUk8XiJIAKoIS
76IAnjdkLDVAi0xTqcM4QVN4KA11Ucc/
=v49v
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 01 Jun 2012 07:46:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:28:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.